
From: NeilBrown <neilb@cse.unsw.edu.au>

Just noticed while fixing some other sparse-related stuff.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/sunrpc/auth_gss/svcauth_gss.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN net/sunrpc/auth_gss/svcauth_gss.c~knfsd-rpcsec_gss-comparing-pointer-to-0-instead-of-null net/sunrpc/auth_gss/svcauth_gss.c
--- 25/net/sunrpc/auth_gss/svcauth_gss.c~knfsd-rpcsec_gss-comparing-pointer-to-0-instead-of-null	2004-11-15 22:07:00.865457432 -0800
+++ 25-akpm/net/sunrpc/auth_gss/svcauth_gss.c	2004-11-15 22:07:00.869456824 -0800
@@ -958,7 +958,7 @@ svcauth_gss_release(struct svc_rqst *rqs
 	if (gc->gc_proc != RPC_GSS_PROC_DATA)
 		goto out;
 	/* Release can be called twice, but we only wrap once. */
-	if (gsd->body_start == 0)
+	if (gsd->body_start == NULL)
 		goto out;
 	/* normally not set till svc_send, but we need it here: */
 	resbuf->len = resbuf->head[0].iov_len
_
